Page MenuHomePhabricator

Homepage: guidelines for custom mentor messages
Closed, ResolvedPublic

Description

In T220145, we allow mentors to add a custom message when they sign up to be part of the mentorship module. There are some things that we will want to recommend for the mentor's messages:

  • They are limited to 240 characters.
  • They do not render wikitext or links.
  • And perhaps other ideas or examples of how to write a good message.

We want to display these guidelines on the top of mentor signup pages, like the ones listed in T218237.


Message

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[See examples]]

Recommandation page: https://www.mediawiki.org/wiki/Growth/Communities/How_to_introduce_yourself_as_a_mentor

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 3 2019, 10:31 PM
MMiller_WMF updated the task description. (Show Details)Jul 3 2019, 10:35 PM

@Trizek-WMF -- there may be better ways to accomplish the goal of this task. If you can think of any, please go ahead and pursue those instead.

Trizek-WMF triaged this task as Normal priority.Jul 8 2019, 8:53 AM
Trizek-WMF moved this task from Inbox to Needs Discussion/Analysis on the Growth-Team board.

The current recommendations make sense. @revi @Urbanecm @Dyolf77_WMF @Tuanminh01, any thoughts?

The text at the top of where the message is posted could be:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[See examples]]

The link to examples should go to a page hosted on our Growth space on mediawiki.org.

Concerning the content of the message, maybe we should have examples that encourage people to stay neutral. For instance, if a mentor writes:

I like football and nothing else

it may not be the best invitation if you're not a football-maniac. 😄

So it would be better to encourage people to have something like:

I'm mostly contributing about football but I can help you with any other topic, as far as I can.

Or

I can help you with your questions about editing Wikipedia. I'm mostly contributing about football. What would be your area of contributions?

revi added a comment.Jul 8 2019, 9:02 AM

LGTM as long as the custom texts can be removed by someone else in case of abuse... and since it seems to be configurable via wikipage it looks good to me

+1 to what @Trizek-WMF and @revi said.

+1 I think a sentence with neutral tone is good.

I am here to help you navigating wikipedia, please feel free to ask!

+1 @Trizek-WMF and @revi too!
Another example:

Hello, I was confused as you now. But asking questions to experienced users helped me. Please feel free to ask!

Another example:
Hello, I was confused as you now. But asking questions to experienced users helped me. Please feel free to ask!

Very good example!

Thank you all! :)

Trizek-WMF updated the task description. (Show Details)Jul 9 2019, 3:37 PM

Please review the recommendation page: https://www.mediawiki.org/wiki/Growth/Communities/How_to_introduce_yourself_as_a_mentor

When ready, I'll mark it for translations.

LGTM, @Trizek-WMF! (apart from one typo, which I already fixed).

Please review the recommendation page: https://www.mediawiki.org/wiki/Growth/Communities/How_to_introduce_yourself_as_a_mentor
When ready, I'll mark it for translations.

@Trizek-WMF Seems good to me.

Thanks for working on this! I just added two images to the page to demonstrate what the message looks like when it is a good length, and what it looks like when it's too long.

Thank you, @MMiller_WMF!

@Trizek-WMF, sorry for writing it now, but I always notice more things when I'm actually working with something than when I'm just reading it :). The page says "You have signed-up to be a mentor. Thank you!" at the very beginning, which indicates users who already signed up as a mentor should be the readers of this page. On the other hand, it also says "Add your name to the list, using the following syntax:", which indicates the opposite. Do you think this can be fixed somehow? Thanks!

@Trizek-WMF, sorry for writing it now, but I always notice more things when I'm actually working with something than when I'm just reading it :).

Ha! I'm not alone! \o/

The page says "You have signed-up to be a mentor. Thank you!" at the very beginning, which indicates users who already signed up as a mentor should be the readers of this page. On the other hand, it also says "Add your name to the list, using the following syntax:", which indicates the opposite. Do you think this can be fixed somehow? Thanks!

I'm rephrasing the first sentence: "You are interested to become a mentor ? Thank you!"

The recommendation page is under translation.

Trizek-WMF added a comment.EditedJul 16 2019, 1:44 PM

@revi @Urbanecm @Dyolf77_WMF @Tuanminh01, when the page is translated, and if not done, please:

  • add the explanation at the top of the mentors' page (see the task description)
  • inform the mentors about this change
  • report here when done :)